
Infrastructure - Bug #3572

LDAP not updated for Node when synchronized set to true

2013-02-13 20:05 - Robert Waltz

Status: New Start date: 2014-10-01

Priority: Normal Due date: 2014-10-01

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_node_registry Estimated time: 0.00 hour

Target version: Release Backlog   

Milestone: None Story Points:  

Product Version:    

Description

possible error in d1_cn_node_registry with regard to change the synch attribute of a node

Ben called updateNodeCapabilities on stage2.  Hazelcast Map reflected the change, but the changed indicator was not persisted into

ldap.

History

#1 - 2013-02-13 20:18 - Robert Waltz

- Description updated

#2 - 2013-03-01 19:20 - Robert Waltz

- Target version changed from 2013.6-Block.1.3 to 2013.10-Block.2.1

- Due date changed from 2013-02-13 to 2013-03-16

#3 - 2013-04-09 15:43 - Chris Jones

As another example, Kavitha called CN.updateNodeCapabilities(), setting her Node.Schedule to min="0/3" on cn-stage.test.dataone.org.  She

received an HTTP 200, but after looking at both LDAP and hzNodes, neither updated with the new Node values.

#4 - 2013-06-05 04:48 - Robert Waltz

- Due date changed from 2013-03-16 to 2013-06-22

- Target version changed from 2013.10-Block.2.1 to 2013.24-Block.3.4

#5 - 2013-08-02 17:41 - Robert Waltz

- Milestone changed from CCI-1.1.2 to None

- Due date deleted (2013-06-22)

- Target version deleted (2013.24-Block.3.4)

- Start date deleted (2013-02-13)

Have not been able to reproduce yet.

#6 - 2014-10-01 22:56 - Robert Waltz

- Start date set to 2014-10-01

- Target version set to Release Backlog

- Due date set to 2014-10-01

#7 - 2015-10-15 20:04 - Robert Waltz

- Related to deleted (Story #3882: Refactor hzNodes out of CN Node Registry)
